## r-cran-bios2cor 2.2

=== DESCRIPTION ===
Package: Bios2cor
Type: Package
Title: From Biological Sequences and Simulations to Correlation
        Analysis
Version: 2.2
Date: 2020-10-01
Author: Bruck Taddese [aut], Antoine Garnier [aut], Madeline Deniaud [aut], Julien Pele [ctb], Lea Bellenger [ctb], Jean-Michel Becu [ctb], Marie Chabbert [aut,cre] 
Maintainer: Marie Chabbert <marie.chabbert@univ-angers.fr>
Depends: R (>= 3.5), bio3d, circular, bigmemory, parallel
Imports: igraph
Description: Utilities for computation and analysis of correlation/covariation in multiple sequence alignments and in side chain motions during molecular dynamics simulations. Features include the computation of correlation/covariation scores using a variety of scoring functions between either sequence positions in alignments or side chain dihedral angles in molecular dynamics simulations and utilities to analyze the correlation/covariation matrix through a variety of tools including network representation and principal components analysis. In addition, several utility functions are based on the R graphical environment to provide friendly tools for help in data interpretation. Examples of sequence covariation analysis are provided in: (1) Pele J, Moreau M, Abdi H, Rodien P, Castel H, Chabbert M (2014) <doi:10.1002/prot.24570> and (2) Taddese B, Deniaud M, Garnier A, Tiss A, Guissouma H, Abdi H, Henrion D, Chabbert M (2018) <doi: 10.1371/journal.pcbi.1006209>. An example of side chain correlated motion analysis is provided in: Taddese B, Garnier A, Abdi H, Henrion D, Chabbert M (2020) <doi: 10.1038/s41598-020-72766-1>. This work was supported by the French National Research Agency (Grant number: ANR-11-BSV2-026) and by GENCI (Grant number: 100567).
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2020-10-01 13:53:21 UTC; root
Repository: CRAN
Date/Publication: 2020-10-02 04:22:21 UTC

=== debian/changelog ===
r-cran-bios2cor (2.2-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Wed, 28 Oct 2020 17:00:20 +0100

r-cran-bios2cor (2.2-1) unstable; urgency=medium

  * Initial release (closes: #972392)

 -- Shayan Doust <hello@shayandoust.me>  Wed, 14 Oct 2020 15:16:27 +0000

=== debian/control ===
Source: r-cran-bios2cor
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bio3d,
               r-cran-circular,
               r-cran-bigmemory,
               r-cran-igraph
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor.git
Homepage: https://cran.r-project.org/package=Bios2cor
Rules-Requires-Root: no

Package: r-cran-bios2cor
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R from Biological Sequences and Simulations to Correlation
 Analysis Utilities for computation and analysis of
 correlation/covariation in multiple sequence alignments and in
 side chain motions during molecular dynamics simulations. Features
 include the computation of correlation/covariation scores using a
 variety of scoring functions between either sequence positions in
 alignments or side chain dihedral angles in molecular dynamics
 simulations and utilities to analyze the correlation/covariation
 matrix through a variety of tools including network representation
 and principal components analysis. In addition, several utility
 functions are based on the R graphical environment to provide
 friendly tools for help in data interpretation. Examples of
 sequence covariation analysis are provided in: (1) Pele J, Moreau
 M, Abdi H, Rodien P, Castel H, Chabbert M (2014)
 <doi:10.1002/prot.24570> and (2) Taddese B, Deniaud M, Garnier A,
 Tiss A, Guissouma H, Abdi H, Henrion D, Chabbert M (2018) <doi:
 10.1371/journal.pcbi.1006209>. An example of side chain correlated
 motion analysis is provided in: Taddese B, Garnier A, Abdi H,
 Henrion D, Chabbert M (2020) <doi: 10.1038/s41598-020-72766-
 1>. This work was supported by the French National Research
 Agency (Grant number: ANR-11-BSV2-026) and by GENCI (Grant
 number: 100567).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name "*.fa" -o -name "*.msf" -o -name "*.txt" -o -name "*.csv" -o -name "*.pdb" -o -name "*.dcd" \) -exec chmod -x \{\} \;

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/Bios2cor_([-\d.]*)\.tar\.gz

## r-cran-bios2cor 2.2.1

=== DESCRIPTION ===
Package: Bios2cor
Type: Package
Title: From Biological Sequences and Simulations to Correlation
        Analysis
Version: 2.2.1
Date: 2020-10-01
Author: Bruck Taddese [aut], Antoine Garnier [aut], Madeline Deniaud [aut], Julien Pele [ctb], Lea Bellenger [ctb], Jean-Michel Becu [ctb], Marie Chabbert [aut,cre] 
Maintainer: Marie Chabbert <marie.chabbert@univ-angers.fr>
Depends: R (>= 3.5), bio3d, circular, bigmemory, parallel
Imports: igraph
Description: Utilities for computation and analysis of correlation/covariation in multiple sequence alignments and in side chain motions during molecular dynamics simulations. Features include the computation of correlation/covariation scores using a variety of scoring functions between either sequence positions in alignments or side chain dihedral angles in molecular dynamics simulations and utilities to analyze the correlation/covariation matrix through a variety of tools including network representation and principal components analysis. In addition, several utility functions are based on the R graphical environment to provide friendly tools for help in data interpretation. Examples of sequence covariation analysis are provided in: (1) Pele J, Moreau M, Abdi H, Rodien P, Castel H, Chabbert M (2014) <doi:10.1002/prot.24570> and (2) Taddese B, Deniaud M, Garnier A, Tiss A, Guissouma H, Abdi H, Henrion D, Chabbert M (2018) <doi: 10.1371/journal.pcbi.1006209>. An example of side chain correlated motion analysis is provided in: Taddese B, Garnier A, Abdi H, Henrion D, Chabbert M (2020) <doi: 10.1038/s41598-020-72766-1>. This work was supported by the French National Research Agency (Grant number: ANR-11-BSV2-026) and by GENCI (Grant number: 100567).
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2022-07-08 09:19:21 UTC; hornik
Repository: CRAN
Date/Publication: 2022-07-08 09:25:23 UTC

=== debian/changelog ===
r-cran-bios2cor (2.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 11 Jul 2022 13:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-bios2cor
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Shayan Doust <hello@shayandoust.me>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor.git
+Homepage: https://cran.r-project.org/package=Bios2cor
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-circular,
                r-cran-bigmemory,
                r-cran-igraph
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor.git
-Homepage: https://cran.r-project.org/package=Bios2cor
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-bios2cor
 Architecture: all

## r-cran-bios2cor 2.2.2

=== DESCRIPTION ===
Package: Bios2cor
Type: Package
Title: From Biological Sequences and Simulations to Correlation
        Analysis
Version: 2.2.2
Date: 2024-10-15
Author: Bruck Taddese [aut],
  Antoine Garnier [aut],
  Madeline Deniaud [aut],
  Julien Pele [ctb],
  Lea Bellenger [ctb],
  Jean-Michel Becu [ctb],
  Marie Chabbert [aut, cre]
Authors@R: c(person(given = "Bruck",
                      family = "Taddese",
                      role = "aut"),
               person(given = "Antoine",
                      family = "Garnier",
                      role = "aut"),
               person(given = "Madeline",
                      family = "Deniaud",
                      role = "aut"),
               person(given = "Julien",
                      family = "Pele",
                      role = "ctb"),
               person(given = "Lea",
                      family = "Bellenger",
                      role = "ctb"),
               person(given = "Jean-Michel",
                      family = "Becu",
                      role = "ctb"),
               person(given = "Marie",
                      family = "Chabbert",
                      role = c("aut", "cre"),
                      email = "marie.chabbert@univ-angers.fr"))
Maintainer: Marie Chabbert <marie.chabbert@univ-angers.fr>
Depends: R (>= 3.5), bio3d, circular, bigmemory, parallel
Imports: igraph
Description: Utilities for computation and analysis of correlation/covariation in multiple sequence alignments and in side chain motions during molecular dynamics simulations. Features include the computation of correlation/covariation scores using a variety of scoring functions between either sequence positions in alignments or side chain dihedral angles in molecular dynamics simulations and utilities to analyze the correlation/covariation matrix through a variety of tools including network representation and principal components analysis. In addition, several utility functions are based on the R graphical environment to provide friendly tools for help in data interpretation. Examples of sequence covariation analysis are provided in: (1) Pele J, Moreau M, Abdi H, Rodien P, Castel H, Chabbert M (2014) <doi:10.1002/prot.24570> and (2) Taddese B, Deniaud M, Garnier A, Tiss A, Guissouma H, Abdi H, Henrion D, Chabbert M (2018) <doi:10.1371/journal.pcbi.1006209>. An example of side chain correlated motion analysis is provided in: Taddese B, Garnier A, Abdi H, Henrion D, Chabbert M (2020) <doi:10.1038/s41598-020-72766-1>. This work was supported by the French National Research Agency (Grant number: ANR-11-BSV2-026) and by GENCI (Grant number: 100567).
License: GPL (>= 2)
NeedsCompilation: no
Packaged: 2024-11-13 18:29:12 UTC; root
Repository: CRAN
Date/Publication: 2024-11-14 13:40:23 UTC

=== debian/changelog ===
r-cran-bios2cor (2.2.2-2) unstable; urgency=medium

  * Replace Shayan Doust in Uploaders by my ID (Shayan, your initial work
    in really hard times was extremely welcome)
  * d/watch: version=5
  * Verify that upstream is perfectly active and the project available on CRAN
    Closes: #1084105
  * Standards-Version: 4.7.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Dec 2025 09:12:01 +0100

r-cran-bios2cor (2.2.2-1) unstable; urgency=medium

  * Team upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Charles Plessy ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 29 Jan 2025 11:45:08 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-bios2cor.git
 Homepage: https://cran.r-project.org/package=Bios2cor
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
Version: 5

Source: https://cran.r-project.org/src/contrib
Matching-Pattern: Bios2cor_([-\d.]*)\.tar\.gz
